function [Sig,flag] = sample_Sig(Sig,e2,VSig)
pri_lden = @(S2) -.5*log(S2) - S2./(2*VSig); %log-density of the gamma prior
[Tm1, m] = size(e2);
T = Tm1 + 1;
Sigc = 1./gamrnd((T-3)/2, 2./sum(e2)');
alpMH = exp(pri_lden(Sigc) - pri_lden(Sig));
flag = alpMH > rand(m,1);
Sig = flag.*Sigc + (1-flag).*Sig;    
end